| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Enumerations | Functions
Gaudi::Utils::Histos::Formats Namespace Reference

The 15 format fields are predefined now: More...

## Enumerations
enum | Format { Default = 0, Old, Full, FullStat, Stat, StatOnly, Stat1, ShapeOnly, Shape, LineTitle, LineOnly, PathTitle }
| the ID for predefined formats More...

## Functions
GAUDI_API std::string | format (const int ID=Default)
| get the format by enum More...
GAUDI_API std::string | header (const int ID=Default)
| get the recommended header by enum More...

## Detailed Description

The 15 format fields are predefined now:

- 1 : the histogram path in transient store (without '/stat/')
- 2 : the histogram title
- 3 : number of ALL entries
- 4 : number of UNDERFLOW entries
- 5 : number of OVERFLOW entries
- 6 : the statistics of equivalent entries
- 7 : the full integral in range
- 8 : mean value
- 9 : the estimated uncertainty in the mean value
- 10 : rms value
- 11 : the estimated uncertainty in the rms value
- 12 : skewness value
- 13 : the estimated uncertainty in the skewness value
- 14 : kurtosis value
- 15 : the estimated uncertainty in the kurtosis value
- 16 : full intergal (in and out-range)
- 17 : error on the full intergal (16)
- 18 : error on the full intergal in range (7)
- 19 : fraction of overflow entries [%]
- 20 : (binomial) error on fraction of overflow entries [%]
- 21 : fraction of underflow entries [%]
- 22 : (binomial) error on fraction of underflow entries [%]
- 23 : fraction of overflow integral
- 24 : error on fraction of overflow integral
- 25 : fraction of underflow integral
- 26 : error on fraction of underflow integral

See also
  Gauid::Utils::HistoStats

Unlike parameters 3-7 & 16-19, the parameters 8-15 and 19-26 are sensitive only to the shape of the distribution.

Simple collection of predefiend formats for the histogram

Author
  Vanya BELYAEV ibely.nosp@m.aev@.nosp@m.physi.nosp@m.cs.s.nosp@m.yed.e.nosp@m.du

Date
  2007-08-07

## Enumeration Type Documentation

enum Gaudi::Utils::Histos::Formats::Format

the ID for predefined formats

- Default : the default format
- Old : the old-style format (title,integra,entries,mean,rms)
- Full : FULL information (all 15 predefiend values)
- FullStat : FULL statistical information (all 13 statistical values)
- Stat : title, #entries,mean, rms, skewness&kurtosis
- StatOnly : #entries,mean, rms, skewness&kurtosis
- Stat1 : #entries,mean+-, rms+-, skewness+-&kurtosis+-
- ShapeOnly : mean,rms,skewness,kurtosis,underflow&overflow fractions
- Shape : as ShapeOnly but with errors
- LineTitle : line-format title, mean,rms,skewness&kurtosis
- LineOnly : line-format mean,rms,skewness&kurtosis
- PathTitle : path & title

Enumerator
Default |
Old |
Full |
FullStat |
Stat |
StatOnly |
Stat1 |
ShapeOnly |
Shape |
LineTitle |
LineOnly |
PathTitle |

Definition at line 89 of file HistoTableFormat.h.

89 {
90 Default = 0, // default format
91 Old, // "OLD"-line format: title,integral,#ent,mean,rms
92 Full, // FULL format: the first 15 positions
93 FullStat, // Full statistical info (3-15)
94 Stat, // title,#ent,mean,rms,skewness&kurtosis
95 StatOnly, // #entries,mean,rms,skewness&kurtosis
96 Stat1, // #entries,mean+-,rms+-,skewness+-&kurtosis+-
97 ShapeOnly, // mean,rms,skewness,kurtosis,underflow&overflow fractions
98 Shape, // as ShapeOnly but with errors
99 LineTitle, // line-format : title,mean,rms,skewness&kurtosis
100 LineOnly, // line-format : mean,rms,skewness&kurtosis
101 PathTitle // "PathTitle" : path & title
102 };
Gaudi::Utils::Histos::Formats::Stat
Definition: HistoTableFormat.h:94
Gaudi::Utils::Histos::Formats::Old
Definition: HistoTableFormat.h:91
Gaudi::Utils::Histos::Formats::LineOnly
Definition: HistoTableFormat.h:100
Gaudi::Utils::Histos::Formats::Full
Definition: HistoTableFormat.h:92
Gaudi::Utils::Histos::Formats::PathTitle
Definition: HistoTableFormat.h:101
Gaudi::Utils::Histos::Formats::Shape
Definition: HistoTableFormat.h:98
Gaudi::Utils::Histos::Formats::Default
Definition: HistoTableFormat.h:90
Gaudi::Utils::Histos::Formats::LineTitle
Definition: HistoTableFormat.h:99
Gaudi::Utils::Histos::Formats::ShapeOnly
Definition: HistoTableFormat.h:97
Gaudi::Utils::Histos::Formats::Stat1
Definition: HistoTableFormat.h:96
Gaudi::Utils::Histos::Formats::FullStat
Definition: HistoTableFormat.h:93
Gaudi::Utils::Histos::Formats::StatOnly
Definition: HistoTableFormat.h:95

## Function Documentation

std::string Gaudi::Utils::Histos::Formats::format | ( | const int | ID = `Default` | ) |

get the format by enum

See also
  Gaudi::Utils::Histos::Formats::Format

Parameters

  ID | the format idenfifier

Returns
  format associated with ID

Author
  Vanya BELYAEV ibely.nosp@m.aev@.nosp@m.physi.nosp@m.cs.s.nosp@m.yr.ed.nosp@m.u

Date
  2007-08-08

default:

Definition at line 142 of file HistoTableFormat.cpp.

143 {
144 switch ( ID ) {
145 case Old:
146 return s_histoFormatOld;
147 case Full:
148 return s_histoFormatFull;
149 case FullStat:
150 return s_histoFormatFullStat;
151 case Stat:
152 return s_histoFormatStat;
153 case StatOnly:
154 return s_histoFormatStatOnly;
155 case Stat1:
156 return s_histoFormatStat1;
157 case ShapeOnly:
158 return s_histoFormatShapeOnly;
159 case Shape:
160 return s_histoFormatShape;
161 case LineTitle:
162 return s_histoFormatLineTitle;
163 case LineOnly:
164 return s_histoFormatLineOnly;
165 case PathTitle:
166 return s_histoFormatPathTitle;
167 default:
168 break;
169 }
171 return s_histoFormatStat;
172 }
Gaudi::Utils::Histos::Formats::Old
Definition: HistoTableFormat.h:91
Stat
Small wrapper class for easy manipulation with generic counters and IStatSvc&ICounterSvc interface...
Definition: Stat.h:46
Gaudi::Utils::Histos::Formats::LineOnly
Definition: HistoTableFormat.h:100
Gaudi::Utils::Histos::Formats::Full
Definition: HistoTableFormat.h:92
Gaudi::Utils::Histos::Formats::PathTitle
Definition: HistoTableFormat.h:101
Gaudi::Utils::Histos::Formats::Shape
Definition: HistoTableFormat.h:98
Gaudi::Utils::Histos::Formats::LineTitle
Definition: HistoTableFormat.h:99
Gaudi::Utils::Histos::Formats::ShapeOnly
Definition: HistoTableFormat.h:97
Gaudi::Utils::Histos::Formats::Stat1
Definition: HistoTableFormat.h:96
Gaudi::Utils::Histos::Formats::FullStat
Definition: HistoTableFormat.h:93
Gaudi::Utils::Histos::Formats::StatOnly
Definition: HistoTableFormat.h:95

std::string Gaudi::Utils::Histos::Formats::header | ( | const int | ID = `Default` | ) |

get the recommended header by enum

See also
  Gaudi::Utils::Histos::Formats::Format

Parameters

  ID | the format idenfifier

Returns
  header associated with ID

Author
  Vanya BELYAEV ibely.nosp@m.aev@.nosp@m.physi.nosp@m.cs.s.nosp@m.yr.ed.nosp@m.u

Date
  2007-08-08

default:

Definition at line 176 of file HistoTableFormat.cpp.

177 {
178 switch ( ID ) {
179 case Old:
180 return s_histoFormatOldHeader;
181 case Full:
182 return s_histoFormatFullHeader;
183 case FullStat:
184 return s_histoFormatFullStatHeader;
185 case Stat:
186 return s_histoFormatStatHeader;
187 case Stat1:
188 return s_histoFormatStat1Header;
189 case StatOnly:
190 return s_histoFormatStatOnlyHeader;
191 case ShapeOnly:
192 return s_histoFormatShapeOnlyHeader;
193 case Shape:
194 return s_histoFormatShapeHeader;
195 case LineTitle:
196 return s_histoFormatLineTitleHeader;
197 case LineOnly:
198 return s_histoFormatLineOnlyHeader;
199 case PathTitle:
200 return s_histoFormatPathTitleHeader;
201 default:;
202 }
204 return s_histoFormatStatHeader;
205 }
Gaudi::Utils::Histos::Formats::Old
Definition: HistoTableFormat.h:91
Stat
Small wrapper class for easy manipulation with generic counters and IStatSvc&ICounterSvc interface...
Definition: Stat.h:46
Gaudi::Utils::Histos::Formats::LineOnly
Definition: HistoTableFormat.h:100
Gaudi::Utils::Histos::Formats::Full
Definition: HistoTableFormat.h:92
Gaudi::Utils::Histos::Formats::PathTitle
Definition: HistoTableFormat.h:101
Gaudi::Utils::Histos::Formats::Shape
Definition: HistoTableFormat.h:98
Gaudi::Utils::Histos::Formats::LineTitle
Definition: HistoTableFormat.h:99
Gaudi::Utils::Histos::Formats::ShapeOnly
Definition: HistoTableFormat.h:97
Gaudi::Utils::Histos::Formats::Stat1
Definition: HistoTableFormat.h:96
Gaudi::Utils::Histos::Formats::FullStat
Definition: HistoTableFormat.h:93
Gaudi::Utils::Histos::Formats::StatOnly
Definition: HistoTableFormat.h:95